Loading...
Searching...
No Matches
id.hpp File Reference

## Description

Provides enumerations identifying the type of a BSON element.

Go to the source code of this file.

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v1
| Declares entities whose ABI stability is guaranteed for documented symbols.
namespace | bsoncxx::v1::types
| Declares entities representing a BSON type value.

## Enumerations

enum class | bsoncxx::v1::types::binary_subtype : std::uint8_t
| Enumeration identifying a BSON binary subtype. More...
enum class | bsoncxx::v1::types::id : std::int8_t
| Enumeration identifying a BSON type. More...

## Functions

std::string | bsoncxx::v1::types::to_string (binary_subtype rhs)
| Return the name of the enumerator (e.g. "binary" given k_binary).
std::string | bsoncxx::v1::types::to_string (id rhs)
| Return the name of the enumerator (e.g. "double" given k_double).